<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
{
    Schema::table('users', function (Blueprint $table) {
        $table->string('unsubscribe_token')->nullable()->unique()->after('email');
        $table->boolean('subscribed')->default(true)->after('unsubscribe_token');
    });
}

public function down(): void
{
    Schema::table('users', function (Blueprint $table) {
        $table->dropColumn(['unsubscribe_token','subscribed']);
    });
}
};
